# define driver name, version and release
%define		drvname	fglrx
%define		drvver	15.200.1046
%define		drvrel	1.1.mga5.nonfree

# define core kernel version we build against
%define 	kernver		4.1.8
%define		kernrel		1.mga5

# where to build
%define		topdir		${RPM_BUILD_DIR}/%{name}-%{_arch}

# source package
Name:		kmod-%{drvname}
Version:	%{drvver}
Release:	%mkrel 5
Summary:	Prebuilt %{drvname} modules for kernel-%{kernver}-%{kernrel}
License:	Freeware
URL:		http://ati.amd.com/support/driver.html
Group:		System/Kernel and hardware
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	dkms-%{drvname} = %{drvver}-%{drvrel}
%ifarch %{ix86}
BuildRequires:	kernel-desktop586-devel-%{kernver}-%{kernrel}
%endif
BuildRequires:	kernel-desktop-devel-%{kernver}-%{kernrel}
BuildRequires:	kernel-server-devel-%{kernver}-%{kernrel}

%description
This package creates prebuilt %{drvname} kernel modules for core kernel.


# obsoletes prebuilt -netbook-latest modules with matching -desktop-latest
%define latest_obsoletes_desktop %{drvname}-kernel-netbook-latest < 9.010.8-2
%define latest_provides_desktop  %{drvname}-kernel-netbook-latest = %{drvver}-%{release}

##### mkflavour() ala core kernel #####
%define mkflavour()								\
%package -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Summary:	%{drvname} driver for kernel-%{1}-%{kernver}-%{kernrel}		\
License:	Commercial							\
URL:		http://ati.amd.com/support/driver.html				\
Group:		System/Kernel and hardware					\
Provides:	kmod(%{drvname}.ko) = %{version}				\
Requires(post): dkms-minimal							\
Requires(preun): dkms-minimal							\
Requires:	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(post):	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(preun): kernel-%{1}-%{kernver}-%{kernrel}				\
Recommends:	%{drvname}-kernel-%{1}-latest					\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Prebuilt dkms binary kernel modules for the %{drvname} driver version %{drvver} \
built for kernel-%{1}-%{kernver}-%{kernrel}.					\
										\
%files -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%dir /var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel} \
/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel}/* \
										\
%posttrans -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms install --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
%{_sbindir}/dkms status -m %{drvname} -v %{drvver}-%{drvrel}			\
										\
%preun -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms uninstall --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
										\
										\
%package -n %{drvname}-kernel-%{1}-latest					\
Summary:	Virtual rpm for latest %{drvname}-kernel-%{1} driver		\
License:	Commercial							\
URL:		http://ati.amd.com/support/driver.html				\
Group:		System/Kernel and hardware					\
Requires:	%{drvname}-kernel-%{kernver}-%{1}-%{kernrel} = %{version}-%{release} \
%{expand:%%{?latest_obsoletes_%{1}:Obsoletes: %{latest_obsoletes_%{1}}}}	\
%{expand:%%{?latest_provides_%{1}:Provides: %{latest_provides_%{1}}}}		\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{1}-latest					\
This package is a virtual rpm that aims to make sure you always have the	\
latest prebuilt %{drvname} driver for kernel-%{1}.				\
										\
%files -n %{drvname}-kernel-%{1}-latest

%ifarch %{ix86}
%mkflavour desktop586
%endif

%mkflavour desktop
%mkflavour server


%prep
rm -rf %{topdir}

%build
%{_sbindir}/dkms add -m %{drvname} -v %{drvver}-%{drvrel} --dkmstree %{topdir}/var/lib/dkms-binary
%ifarch %{ix86}
%{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
	    -k %{kernver}-desktop586-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-desktop586-%{kernrel} \
	    --dkmstree %{topdir}/var/lib/dkms-binary
%endif
for flavour in desktop server; do
    %{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
		-k %{kernver}-$flavour-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-$flavour-%{kernrel} \
		--dkmstree %{topdir}/var/lib/dkms-binary
done

%install
mkdir -p %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}
cp -a %{topdir}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel} \
      %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/
for dir in %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel}; do
    cp -a /usr/src/%{drvname}-%{drvver}-%{drvrel}/dkms.conf $dir/
    xz -6e $dir/*/module/%{drvname}.ko ||:
done


%changelog
* Sun Sep 20 2015 tmb <tmb> 15.200.1046-5.mga5
+ Revision: 881958
- rebuild for kernel-4.1.8-1.mga5
- rebuild for kernel-4.1.7-1.mga5
- rebuild for kernel-4.1.6-5.mga5
- rebuild for kernel-4.1.6-4.mga5
- rebuild for kernel-4.1.6-4.mga5
- rebuild with fixed fglrx-15.200.1046-1.1.mga5
- rebuild for fglrx-15.200.1046-1.mga5

* Sat Jun 13 2015 tmb <tmb> 14.501.1003-37.mga5.nonfree
+ Revision: 823089
- rebuild for kernel-3.19.8-3.mga5

* Fri May 22 2015 tmb <tmb> 14.501.1003-36.mga5.nonfree
+ Revision: 822501
- rebuild for kernel-3.19.8-2.mga5

* Mon May 11 2015 tmb <tmb> 14.501.1003-35.mga5.nonfree
+ Revision: 821882
- rebuild for kernel-3.19.8-1.mga5

* Mon May 11 2015 tmb <tmb> 14.501.1003-30.mga5.nonfree
+ Revision: 821787
- rebuild for kernel-3.19.7-2.mga5

* Sat May 09 2015 tmb <tmb> 14.501.1003-29.mga5.nonfree
+ Revision: 821506
- rebuild for kernel-3.19.7-1.mga5

* Sat May 02 2015 tmb <tmb> 14.501.1003-28.mga5.nonfree
+ Revision: 821119
- rebuild for kernel-3.19.6-2.mga5

* Sat May 02 2015 tmb <tmb> 14.501.1003-27.mga5.nonfree
+ Revision: 821065
- rebuild for kernel-3.19.6-1.mga5

* Sat Apr 18 2015 tmb <tmb> 14.501.1003-26.mga5.nonfree
+ Revision: 820420
- rebuild for kernel-3.19.4-2.mga5

* Tue Apr 14 2015 tmb <tmb> 14.501.1003-25.mga5.nonfree
+ Revision: 820220
- rebuild for kernel-3.19.4-1.mga5

* Fri Apr 03 2015 tmb <tmb> 14.501.1003-24.mga5.nonfree
+ Revision: 819589
- rebuild for kernel-3.19.3-1.mga5

* Tue Mar 24 2015 tmb <tmb> 14.501.1003-23.mga5.nonfree
+ Revision: 819193
- rebuild for kernel-3.19.2-2.mga5

* Wed Mar 18 2015 tmb <tmb> 14.501.1003-22.mga5.nonfree
+ Revision: 818845
- rebuild for kernel-3.19.2-1.mga5

* Sat Mar 14 2015 tmb <tmb> 14.501.1003-20.mga5.nonfree
+ Revision: 818526
- rebuild for kernel-3.19.1-2.mga5

* Wed Mar 11 2015 tmb <tmb> 14.501.1003-19.mga5.nonfree
+ Revision: 818332
- rebuild for kernel-3.19.1-1.mga5

* Sat Mar 07 2015 tmb <tmb> 14.501.1003-18.mga5.nonfree
+ Revision: 818018
- rebuild for kernel-3.19.0-6.mga5

* Mon Mar 02 2015 tmb <tmb> 14.501.1003-17.mga5.nonfree
+ Revision: 817316
- rebuild for kernel-3.19.0-5.mga5

* Fri Feb 27 2015 tmb <tmb> 14.501.1003-16.mga5.nonfree
+ Revision: 817100
- rebuild for kernel-3.19.0-4.mga5

* Wed Feb 25 2015 tmb <tmb> 14.501.1003-15.mga5.nonfree
+ Revision: 816861
- rebuild for kernel-3.19.0-3.mga5

* Mon Feb 23 2015 tmb <tmb> 14.501.1003-14.mga5.nonfree
+ Revision: 816601
- rebuild for kernel-3.19.0-2.mga5

* Mon Feb 09 2015 tmb <tmb> 14.501.1003-13.mga5.nonfree
+ Revision: 814285
- rebuild for kernel-3.19.0-1.mga5

* Wed Feb 04 2015 tmb <tmb> 14.501.1003-12.mga5.nonfree
+ Revision: 813334
- rebuild for kernel-3.19.0-0.rc7.3.mga5

* Tue Feb 03 2015 tmb <tmb> 14.501.1003-11.mga5.nonfree
+ Revision: 813150
- rebuild for kernel-3.19.0-0.rc7.2.mga5

* Tue Feb 03 2015 tmb <tmb> 14.501.1003-10.mga5.nonfree
+ Revision: 813146
- rebuild for fglrx-14.501.1003-3.mga5

* Wed Jan 21 2015 tmb <tmb> 14.501.1003-9.mga5.nonfree
+ Revision: 811725
- rebuild for kernel-3.18.3-2.mga5

* Fri Jan 16 2015 tmb <tmb> 14.501.1003-8.mga5.nonfree
+ Revision: 811025
- rebuild for kernel-3.18.3-1.mga5

* Tue Jan 13 2015 tmb <tmb> 14.501.1003-7.mga5.nonfree
+ Revision: 810494
- rebuild for kernel-3.18.2-1.mga5
- switch dkms install to posttrans

* Wed Jan 07 2015 tmb <tmb> 14.501.1003-6.mga5.nonfree
+ Revision: 809073
- rebuild for kernel-3.18.1-4.mga5

* Tue Dec 30 2014 tmb <tmb> 14.501.1003-5.mga5.nonfree
+ Revision: 807501
- rebuild for kernel-3.18.1-3.mga5

* Sun Dec 21 2014 tmb <tmb> 14.501.1003-4.mga5.nonfree
+ Revision: 804680
- rebuild for kernel-3.18.1-2.mga5

* Sun Dec 14 2014 tmb <tmb> 14.501.1003-3.mga5.nonfree
+ Revision: 803185
- rebuild for kernel-3.18.1-1.mga5

* Sun Dec 14 2014 tmb <tmb> 14.501.1003-2.mga5.nonfree
+ Revision: 803039
- reubild for kernel-3.18.0-2.mga5

* Wed Dec 10 2014 tmb <tmb> 14.501.1003-1.mga5.nonfree
+ Revision: 802643
- rebuild for fglrx-14.501.1003-1.mga5

* Mon Dec 08 2014 tmb <tmb> 14.201-28.mga5.nonfree
+ Revision: 802164
- rebuild for kernel-3.18.0-1.mga5

* Fri Dec 05 2014 tmb <tmb> 14.201-27.mga5.nonfree
+ Revision: 801633
- rebuild for kernel-3.18.0-0.rc7.2.mga5

* Mon Dec 01 2014 tmb <tmb> 14.201-26.mga5.nonfree
+ Revision: 800176
- rebuild for kernel-3.18.0-0.rc7.1.mga5

* Sun Nov 30 2014 tmb <tmb> 14.201-25.mga5.nonfree
+ Revision: 799980
- rebuild for kernel-3.18.0-0.rc6.1.mga5

* Fri Nov 21 2014 tmb <tmb> 14.201-24.mga5.nonfree
+ Revision: 798146
- rebuild for kernel-3.17.4-1.mga5

* Sun Nov 16 2014 tmb <tmb> 14.201-23.mga5.nonfree
+ Revision: 797467
- rebuild with kernel-3.17.3-1.mga5

* Mon Nov 10 2014 tmb <tmb> 14.201-22.mga5.nonfree
+ Revision: 796238
- rebuild for kernel-3.17.2-4.mga5

* Tue Nov 04 2014 tmb <tmb> 14.201-21.mga5.nonfree
+ Revision: 795424
- rebuild for kernel-3.17.2-3.mga5

* Sat Nov 01 2014 tmb <tmb> 14.201-20.mga5.nonfree
+ Revision: 795139
- rebuild for kernel-3.17.2-2.mga5

* Fri Oct 31 2014 tmb <tmb> 14.201-19.mga5.nonfree
+ Revision: 795046
- rebuild for fglrx-14.201-2.mga5

* Thu Oct 30 2014 tmb <tmb> 14.201-18.mga5.nonfree
+ Revision: 794808
- rebuild for kernel-3.17.2-1.mga5

* Sat Oct 25 2014 tmb <tmb> 14.201-17.mga5.nonfree
+ Revision: 793245
- rebuild for kernel-3.17.1-2.mga5

* Wed Oct 15 2014 tmb <tmb> 14.201-16.mga5.nonfree
+ Revision: 757165
- rebuild for kernel-3.17.1-1.mga5

* Wed Oct 15 2014 umeabot <umeabot> 14.201-15.mga5.nonfree
+ Revision: 741106
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 tmb <tmb> 14.201-14.mga5.nonfree
+ Revision: 738590
- rebuild for kernel-3.17.0-5.mga5

* Fri Oct 10 2014 tmb <tmb> 14.201-13.mga5.nonfree
+ Revision: 737848
- rebuild for kernel-3.17.0-4.mga5

* Mon Oct 06 2014 tmb <tmb> 14.201-12.mga5.nonfree
+ Revision: 737107
- rebuild for kernel-3.17.0-3.mga5

* Fri Oct 03 2014 tmb <tmb> 14.201-11.mga5.nonfree
+ Revision: 736367
- rebuild with kernel-3.17.0-1.rc7.2.mga5

* Thu Oct 02 2014 tmb <tmb> 14.201-10.mga5.nonfree
+ Revision: 736252
- rebuild for fglrx-14.201-1.mga5

* Mon Sep 29 2014 tmb <tmb> 14.410-4.mga5.nonfree
+ Revision: 731537
- rebuild for kernel-3.17.0-1.rc7.1.mga5

* Sat Sep 27 2014 tmb <tmb> 14.410-3.mga5.nonfree
+ Revision: 727620
- rebuild for kernel-3.17.0-0.rc6.2.mga5
- rebuild for kernel-3.17.0-1.rc6.2.mga5

* Thu Sep 25 2014 tmb <tmb> 14.410-1.mga5.nonfree
+ Revision: 724716
- rebuild for fglrx-14.410-1.mga5

* Wed Sep 24 2014 tmb <tmb> 14.201-6.mga5.nonfree
+ Revision: 723643
- adapt to new kmod provides

* Tue Sep 23 2014 tmb <tmb> 14.201-5.mga5.nonfree
+ Revision: 722882
- rebuild for fglrx-14.201-0.8.mga5
- rebuild for kernel-3.17.0-0.rc6.1.mga5

* Sun Sep 21 2014 tmb <tmb> 14.201-4.mga5.nonfree
+ Revision: 701609
- rebuild for fglrx-14.201-0.4.mga5

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Sep 15 2014 tmb <tmb> 14.201-2.mga5.nonfree
+ Revision: 676893
- rebuild for kernel-3.17.0-0.rc5.1.mga5

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Sep 11 2014 tmb <tmb> 14.201-1.mga5.nonfree
+ Revision: 674748
- rebuild for fglrx-14.201-0.1.mga5

* Thu Jul 24 2014 tmb <tmb> 14.010.1006-15.mga5.nonfree
+ Revision: 656171
- rebuild for kernel-3.15.6-1.mga5

* Sun Jun 29 2014 tmb <tmb> 14.010.1006-14.mga5.nonfree
+ Revision: 641138
- rebuild for kernel-3.15.2-2.mga5

* Fri Jun 27 2014 tmb <tmb> 14.010.1006-13.mga5.nonfree
+ Revision: 640259
- rebuild for kernel-3.15.2-1.mga5

* Tue Jun 17 2014 tmb <tmb> 14.010.1006-12.mga5.nonfree
+ Revision: 637749
- rebuild for kernel-3.15.1-1.mga5

* Mon Jun 09 2014 tv <tv> 14.010.1006-11.mga5.nonfree
+ Revision: 635282
- rebuild for fglrx-14.010.1006-4.mga5
- rebuild for fglrx-14.010.1006-4.mga5

* Mon Jun 09 2014 tmb <tmb> 14.010.1006-10.mga5.nonfree
+ Revision: 634876
- rebuild for kernel-3.15.0-1.mga5

* Thu Jun 05 2014 tmb <tmb> 14.010.1006-9.mga5.nonfree
+ Revision: 633407
- rebuild for kernel-3.14.5-3.mga5

* Wed Jun 04 2014 tmb <tmb> 14.010.1006-8.mga5.nonfree
+ Revision: 633186
- rebuild for kernel-3.14.5-2.mga5

* Sun Jun 01 2014 tmb <tmb> 14.010.1006-7.mga5.nonfree
+ Revision: 630018
- rebuild for kernel-3.14.5-1.mga5

* Thu May 29 2014 tmb <tmb> 14.010.1006-6.mga5.nonfree
+ Revision: 627622
- rebuild for kernel-3.14.4-3.mga5

* Thu May 22 2014 tmb <tmb> 14.010.1006-5.mga5.nonfree
+ Revision: 624867
- rebuild for kernel-3.14.4-2.mga5

* Tue May 13 2014 tmb <tmb> 14.010.1006-4.mga5.nonfree
+ Revision: 622609
- rebuild for kernel-3.14.4-1.mga5

* Wed May 07 2014 tmb <tmb> 14.010.1006-3.mga5.nonfree
+ Revision: 620933
- rebuild for kernel-3.14.3-1.mga5

* Thu May 01 2014 tmb <tmb> 14.010.1006-2.mga5.nonfree
+ Revision: 619124
- rebuild for kernel-3.14.2-2.mga5

* Sun Apr 27 2014 tmb <tmb> 14.010.1006-1.mga5.nonfree
+ Revision: 618425
- rebuild for fglrx-14.010.1006-2.mga5
- rebuild for fglrx-14.010.1006-1.mga5
- rebuild for kernel-3.14.2-1.mga5

* Fri Apr 11 2014 tmb <tmb> 13.350.1005-5.mga5.nonfree
+ Revision: 613504
- rebuild for kernel-3.13.10-1.mga5

* Sat Mar 08 2014 tmb <tmb> 13.350.1005-4.mga5.nonfree
+ Revision: 601414
- rebuild for kernel-3.13.6-1.mga5

* Sun Feb 23 2014 tmb <tmb> 13.350.1005-3.mga5.nonfree
+ Revision: 595752
- rebuild for kernel-3.12.13-2.mga5

* Sat Feb 22 2014 tmb <tmb> 13.350.1005-2.mga5.nonfree
+ Revision: 595509
- fix path to kernel-devel
- rebuild for kernel-3.12.13-1.mga5

* Tue Feb 04 2014 tmb <tmb> 13.350.1005-1.mga5.nonfree
+ Revision: 582593
- rebuild for fglrx-13.350.1005-1.mga5

* Sun Feb 02 2014 tmb <tmb> 13.251-10.mga4.nonfree
+ Revision: 568630
- rebuild for kernel-3.12.9-1.mga4

* Fri Jan 24 2014 tmb <tmb> 13.251-9.mga4.nonfree
+ Revision: 567971
- rebuild for kernel-3.12.8-2.mga4

* Sun Jan 19 2014 tmb <tmb> 13.251-8.mga4.nonfree
+ Revision: 566914
- rebuild for kernel-3.12.8-1.mga4

* Mon Jan 13 2014 tmb <tmb> 13.251-7.mga4.nonfree
+ Revision: 566403
- rebuild for kernel-3.12.7-1.mga4

* Thu Jan 09 2014 tmb <tmb> 13.251-6.mga4.nonfree
+ Revision: 565999
- rebuild for kernel-3.12.6-5.mga4

* Tue Jan 07 2014 tmb <tmb> 13.251-5.mga4.nonfree
+ Revision: 565400
- rebuild for kernel-3.12.6-4.mga4

* Sat Jan 04 2014 tmb <tmb> 13.251-4.mga4.nonfree
+ Revision: 564451
- rebuild for kernel-3.12.6-3.mga4

* Sun Dec 29 2013 tmb <tmb> 13.251-3.mga4.nonfree
+ Revision: 563040
- rebuild for kernel-3.12.6-2.mga4

* Fri Dec 20 2013 tmb <tmb> 13.251-2.mga4.nonfree
+ Revision: 559278
- rebuild for kernel-3.12.6-1.mga4

* Thu Dec 19 2013 tmb <tmb> 13.251-1.mga4.nonfree
+ Revision: 558934
- rebuild for fglrx-13.251-1.mga4

* Sun Dec 15 2013 tmb <tmb> 13.250.18-19.mga4.nonfree
+ Revision: 556885
- rebuild for kernel-3.12.5-1.mga4

* Sun Dec 08 2013 tmb <tmb> 13.250.18-18.mga4.nonfree
+ Revision: 555886
- rebuild for fglrx-13.250.18-4.mga4.nonfree

* Fri Dec 06 2013 tmb <tmb> 13.250.18-17.mga4.nonfree
+ Revision: 555670
- rebuild for fglrx-13.250.18-3.mga4

* Wed Dec 04 2013 tmb <tmb> 13.250.18-16.mga4.nonfree
+ Revision: 555225
- rebuild for kernel-3.12.3-1.mga4

* Sat Nov 30 2013 tmb <tmb> 13.250.18-15.mga4.nonfree
+ Revision: 554319
- rebuild for kernel-3.12.2-1.mga4

* Sat Nov 23 2013 tmb <tmb> 13.250.18-14.mga4.nonfree
+ Revision: 552519
- rebuild for fglrx-13.250.18-2.mga4

* Thu Nov 21 2013 tmb <tmb> 13.250.18-13.mga4.nonfree
+ Revision: 552215
- rebuild for kernel-3.12.1-1.mga4

* Sun Nov 17 2013 tmb <tmb> 13.250.18-12.mga4.nonfree
+ Revision: 551634
- rebuild for kernel-3.12.0-3.mga4

* Sat Nov 09 2013 tmb <tmb> 13.250.18-11.mga4.nonfree
+ Revision: 550049
- rebuild for kernel-3.12.0-2.mga4

* Mon Nov 04 2013 tmb <tmb> 13.250.18-10.mga4.nonfree
+ Revision: 549330
- rebuild for kernel-3.12.0-1.mga4

* Sat Nov 02 2013 tmb <tmb> 13.250.18-6.mga4.nonfree
+ Revision: 549148
- rebuild for kernel-3.12.0-0.rc7.2.mga4

* Thu Oct 31 2013 tmb <tmb> 13.250.18-5.mga4.nonfree
+ Revision: 548314
- rebuild for kernel-3.12.0-0.rc7.1.mga4

* Sat Oct 26 2013 tmb <tmb> 13.250.18-4.mga4.nonfree
+ Revision: 547187
- rebuild for kernel-3.12.0-0.rc6.2.mga4

* Sat Oct 26 2013 tmb <tmb> 13.250.18-3.mga4.nonfree
+ Revision: 547146
- rebuild for fglrx-13.250.18-1.mga4

* Mon Oct 21 2013 tmb <tmb> 13.200.16-3.mga4.nonfree
+ Revision: 541232
- rebuild for kernel-3.12.0-0.rc6.1.mga4

* Wed Oct 16 2013 tmb <tmb> 13.200.16-2.mga4.nonfree
+ Revision: 501618
- rebuild for kernel-3.12.0-0.rc5.2.mga4

* Mon Oct 14 2013 tmb <tmb> 13.200.16-1.mga4.nonfree
+ Revision: 496729
- rebuild for kernel-3.12.0-0.rc5.1.mga4

* Thu Oct 03 2013 tmb <tmb> 13.200.11-9.mga4.nonfree
+ Revision: 490978
- rebuild for kernel-3.11.4-1.mga4

* Mon Sep 30 2013 tmb <tmb> 13.200.11-8.mga4.nonfree
+ Revision: 489611
- rebuild for kernel-3.11.2-2.mga4

* Fri Sep 27 2013 tmb <tmb> 13.200.11-7.mga4.nonfree
+ Revision: 487602
- rebuild for kernel-3.11.2-1.mga4

* Wed Sep 25 2013 tmb <tmb> 13.200.11-6.mga4.nonfree
+ Revision: 486399
- rebuild for kernel-3.11.1-1.mga4

* Tue Sep 03 2013 tmb <tmb> 13.200.11-5.mga4.nonfree
+ Revision: 474682
- rebuild for kernel-3.10.10-3.mga4

* Fri Aug 30 2013 tmb <tmb> 13.200.11-4.mga4.nonfree
+ Revision: 473473
- rebuild for kernel-3.10.10-2.mga4

* Thu Aug 29 2013 tmb <tmb> 13.200.11-3.mga4.nonfree
+ Revision: 473081
- rebuild for kernel-3.10.10-1.mga4

* Wed Aug 21 2013 tmb <tmb> 13.200.11-2.mga4.nonfree
+ Revision: 469173
- rebuild for kernel-3.10.9-1.mga4

* Wed Aug 21 2013 tmb <tmb> 13.200.11-1.mga4.nonfree
+ Revision: 469042
- rebuild for fglrx-13.200.11-0.1.mga4

* Sat Aug 17 2013 tmb <tmb> 13.200.5-9.mga4.nonfree
+ Revision: 467176
- rebuild for kernel-3.10.7-1.mga4

* Mon Aug 12 2013 tmb <tmb> 13.200.5-8.mga4.nonfree
+ Revision: 465868
- rebuild for kernel-3.10.6-1.mga4

* Sun Aug 11 2013 tmb <tmb> 13.200.5-7.mga4.nonfree
+ Revision: 465471
- rebuild for kernel-3.10.5-4.mga4

* Thu Aug 08 2013 tmb <tmb> 13.200.5-6.mga4.nonfree
+ Revision: 464797
- rebuild for fglrx-13.200.5-0.4.mga4

* Thu Aug 08 2013 tmb <tmb> 13.200.5-5.mga4.nonfree
+ Revision: 464776
- rebuild for fglrx-13.200.5-0.3.mga4

* Mon Aug 05 2013 tmb <tmb> 13.200.5-4.mga4.nonfree
+ Revision: 464037
- rebuild for kernel-3.10.5-3.mga4

* Mon Aug 05 2013 tmb <tmb> 13.200.5-3.mga4.nonfree
+ Revision: 463814
- rebuild for kernel-3.10.5-2.mga4

* Sun Aug 04 2013 tmb <tmb> 13.200.5-2.mga4.nonfree
+ Revision: 463610
- rebuild for kernel-3.10.5-1.mga4

* Thu Aug 01 2013 tmb <tmb> 13.200.5-1.mga4.nonfree
+ Revision: 462361
- rebuild for fglrx-13.200.5-0.1.mga4

* Mon Jul 29 2013 tmb <tmb> 13.101-9.mga4.nonfree
+ Revision: 460446
- rebuild for kernel-3.10.4-1.mga4

* Fri Jul 26 2013 tmb <tmb> 13.101-8.mga4.nonfree
+ Revision: 458454
- rebuild for kernel-3.10.3-1.mga4

* Mon Jul 22 2013 tmb <tmb> 13.101-7.mga4.nonfree
+ Revision: 457056
- rebuild for kernel-3.10.2-1.mga4

* Mon Jul 15 2013 tmb <tmb> 13.101-6.mga4.nonfree
+ Revision: 454778
- rebuild with fixed fglrx-13.101-0.3.mga4
- rebuild for kernel-3.10.1-1.mga4

* Fri Jun 28 2013 tmb <tmb> 13.101-5.mga4.nonfree
+ Revision: 447741
- rebuild for kernel-3.9.8-1.mga4

* Fri Jun 21 2013 tmb <tmb> 13.101-4.mga4.nonfree
+ Revision: 445347
- rebuild for kernel-3.9.7-1.mga4

* Tue Jun 18 2013 tv <tv> 13.101-3.mga4.nonfree
+ Revision: 444806
- rebuild for new kernel

* Sun Jun 02 2013 tmb <tmb> 13.101-2.mga4.nonfree
+ Revision: 434779
- rebuild for kernel-3.9.4-1.mga4

* Thu May 30 2013 tmb <tmb> 13.101-1.mga4.nonfree
+ Revision: 433397
- rebuild for fglrx-13.101-0.1.mga4

* Wed May 15 2013 tmb <tmb> 12.104-7.mga3.nonfree
+ Revision: 413289
- rebuild for fglrx-12.104-2.mga3.nonfree

* Tue May 14 2013 tmb <tmb> 12.104-6.mga3.nonfree
+ Revision: 413200
- rebuild for kernel-3.8.13-1.mga3

* Fri May 10 2013 tmb <tmb> 12.104-5.mga3.nonfree
+ Revision: 412840
- rebuild for kernel-3.8.12-2.mga3

* Wed May 08 2013 tmb <tmb> 12.104-4.mga3.nonfree
+ Revision: 412682
- rebuild for kernel-3.8.12-1.mga3

* Wed May 01 2013 tmb <tmb> 12.104-3.mga3.nonfree
+ Revision: 411829
- rebuild for kernel-3.8.11-1.mga3

* Sat Apr 27 2013 tmb <tmb> 12.104-2.mga3.nonfree
+ Revision: 411362
- rebuild for kernel-3.8.10-1.mga3

* Wed Apr 24 2013 tmb <tmb> 12.104-1.mga3.nonfree
+ Revision: 411113
- rebuild for fglrx-12.104-1.mga3

* Mon Apr 22 2013 tmb <tmb> 9.012-17.mga3.nonfree
+ Revision: 410897
- rebuild for kernel-3.8.8-3.mga3

* Sat Apr 20 2013 tmb <tmb> 9.012-16.mga3.nonfree
+ Revision: 410592
- rebuild for kernel-3.8.8-2.mga3

* Wed Apr 17 2013 tmb <tmb> 9.012-15.mga3.nonfree
+ Revision: 410301
- rebuild for kernel-3.8.8-1.mga3

* Sat Apr 13 2013 tmb <tmb> 9.012-14.mga3.nonfree
+ Revision: 409934
- rebuild for kernel-3.8.7-1.mga3

* Tue Apr 09 2013 tmb <tmb> 9.012-13.mga3.nonfree
+ Revision: 409293
- rebuild for kernel-3.8.6-2.mga3

* Sun Apr 07 2013 tmb <tmb> 9.012-12.mga3.nonfree
+ Revision: 408766
- rebuild for kernel-3.8.6-1.mga3

* Sat Mar 30 2013 tmb <tmb> 9.012-11.mga3.nonfree
+ Revision: 406633
- rebuild for kernel-3.8.5-1.mga3

* Mon Mar 18 2013 tmb <tmb> 9.012-10.mga3.nonfree
+ Revision: 403965
- rebuild for kernel-3.8.3-2.mga3

* Fri Mar 15 2013 tmb <tmb> 9.012-9.mga3.nonfree
+ Revision: 403319
- rebuild for kernel-3.8.3-1.mga3

* Sat Mar 02 2013 tmb <tmb> 9.012-8.mga3.nonfree
+ Revision: 401094
- rebuild for kernel-3.8.1-1.mga3

* Thu Feb 28 2013 tmb <tmb> 9.012-7.mga3.nonfree
+ Revision: 400593
- rebuild for kernel-3.8.0-3.mga3

* Fri Feb 22 2013 tmb <tmb> 9.012-6.mga3.nonfree
+ Revision: 399990
- rebuild for kernel-3.8.0-2.mga3

* Tue Feb 19 2013 tmb <tmb> 9.012-5.mga3.nonfree
+ Revision: 399315
- rebuild for kernel-3.8.0-1.mga3

* Sat Feb 09 2013 tmb <tmb> 9.012-4.mga3.nonfree
+ Revision: 397382
- rebuild for kernel-3.8.0-0.rc7.1.mga3

* Wed Feb 06 2013 tmb <tmb> 9.012-3.mga3.nonfree
+ Revision: 394959
- rebuild for kernel-3.8.0-0.rc6.1.mga3

* Sun Jan 27 2013 tmb <tmb> 9.012-2.mga3.nonfree
+ Revision: 392635
- rebuild for kernel-3.8.0-0.rc5.1.mga3

* Sun Jan 20 2013 tmb <tmb> 9.012-1.mga3.nonfree
+ Revision: 390163
- rebuild for fglrx-9.012-1.mga3

* Fri Jan 18 2013 tmb <tmb> 9.010.8-8.mga3.nonfree
+ Revision: 389509
- rebuild for kernel-3.8.0-0.rc4.1.mga3

* Wed Jan 16 2013 tmb <tmb> 9.010.8-7.mga3.nonfree
+ Revision: 388876
- rebuild for kernel-3.8.0-0.rc3.2.mga3

* Thu Jan 10 2013 tmb <tmb> 9.010.8-6.mga3.nonfree
+ Revision: 344790
- rebuild with fixed fglrx-9.010.8-5.mga3
- rebuild for kernel-3.8.0-0.rc3.1.mga3

* Tue Dec 18 2012 tmb <tmb> 9.010.8-4.mga3.nonfree
+ Revision: 332488
- rebuild for kernel-3.7.1-1.mga3

* Tue Dec 11 2012 tmb <tmb> 9.010.8-3.mga3.nonfree
+ Revision: 329582
- rebuild for kernel-3.7.0-1.mga3

* Fri Dec 07 2012 tmb <tmb> 9.010.8-2.mga3.nonfree
+ Revision: 327700
- build with fixed fglrx-9.010.8-4.mga3
- rebuild for fglrx-9.010.8-2.mga3
- fix obsolete version
- kernel-netbook is gone, so have -netbook-latest packages update to
  matching -desktop-latest
- rebuild for kernel-3.7.0-0.rc8.1.mga3

* Mon Nov 19 2012 tmb <tmb> 9.010.8-1.mga3.nonfree
+ Revision: 319559
- rebuild for fglrx-9.010.8-1.mga3
- ingore already compressed modules

* Thu Nov 01 2012 tmb <tmb> 9.010-2.mga3.nonfree
+ Revision: 311846
- rebuild for kernel-3.6.5-1.mga3

* Wed Oct 31 2012 tmb <tmb> 9.010-1.mga3.nonfree
+ Revision: 311760
- rebuild for fglrx-9.010-1.mga3

* Sun Oct 28 2012 tmb <tmb> 9.002-2.mga3.nonfree
+ Revision: 311236
- rebuild for kernel-3.6.4-1.mga3

* Thu Oct 25 2012 tmb <tmb> 9.002-1.mga3.nonfree
+ Revision: 309912
- rebuild for fglrx-9.002-1.mga3

* Sun Oct 21 2012 tmb <tmb> 9.000-7.mga3.nonfree
+ Revision: 309019
- rebuild for kernel-3.6.3-1.mga3

* Thu Oct 18 2012 tmb <tmb> 9.000-6.mga3.nonfree
+ Revision: 307879
- rebuild for kernel-3.6.2-1.mga3

* Sat Oct 06 2012 tmb <tmb> 9.000-5.mga3.nonfree
+ Revision: 303077
- rebuild with fglrx-9.000-3.mga3 that supports xorg-server-1.13

* Sun Sep 30 2012 tmb <tmb> 9.000-4.mga3.nonfree
+ Revision: 300736
- rebuild for kernel-3.5.5-0.rc1.1.mga3

* Sun Sep 30 2012 tmb <tmb> 9.000-3.mga3.nonfree
+ Revision: 300709
- rebuild for fglrx-9.000-2.mga3

* Sat Sep 15 2012 tmb <tmb> 9.000-2.mga3.nonfree
+ Revision: 294132
- rebuild for kernel-3.5.4-1.mga3

* Fri Sep 14 2012 tmb <tmb> 9.000-1.mga3.nonfree
+ Revision: 293927
- rebuild for fglrx-9.000

* Tue Sep 11 2012 tmb <tmb> 8.982-4.mga3.nonfree
+ Revision: 292394
- rebuild for kernel-3.5.3-3.mga3

* Thu Aug 30 2012 tmb <tmb> 8.982-3.mga3.nonfree
+ Revision: 285702
- rebuild for kernel-3.5.3-2.mga3

* Sun Aug 26 2012 tmb <tmb> 8.982-2.mga3.nonfree
+ Revision: 284288
- rebuild for kernel-3.5.3-1.mga3

* Sun Aug 19 2012 tmb <tmb> 8.982-1.mga3.nonfree
+ Revision: 282082
- rebuild for fglrx-8.982-1.mga3.nonfree

* Thu Aug 16 2012 tmb <tmb> 8.980-10.mga3.nonfree
+ Revision: 281607
- rebuild for kernel-3.5.2-1.mga3

* Sat Aug 11 2012 tmb <tmb> 8.980-9.mga3.nonfree
+ Revision: 280502
- rebuild for kernel-3.5.1-1.mga3

* Sat Jul 28 2012 tmb <tmb> 8.980-8.mga3.nonfree
+ Revision: 275093
- rebuild for kernel-3.5.0-1.mga3

* Fri Jul 20 2012 tmb <tmb> 8.980-7.mga3.nonfree
+ Revision: 272919
- rebuild for kernel-3.4.6-1.mga3

* Thu Jul 19 2012 tmb <tmb> 8.980-6.mga3.nonfree
+ Revision: 272514
- rebuild for kernel-3.4.5-1.mga3

* Mon Jul 02 2012 tmb <tmb> 8.980-5.mga3.nonfree
+ Revision: 266519
- rebuild for Catalyst 12-6 final
- rebuild for kernel-3.4.4-2.mga3

* Wed Jun 27 2012 tmb <tmb> 8.980-4.mga3.nonfree
+ Revision: 264253
- rebuild for kernel-3.4.4-1.mga3

* Wed Jun 20 2012 tmb <tmb> 8.980-3.mga3.nonfree
+ Revision: 262343
- rebuild for kernel-3.4.3-1.mga3

* Sat Jun 09 2012 tmb <tmb> 8.980-2.mga3.nonfree
+ Revision: 259031
- rebuild for kernel-3.4.2-1.mga3

* Wed Jun 06 2012 tmb <tmb> 8.980-1.mga3.nonfree
+ Revision: 256562
- rebuild for fglrx-8.980-1.mga3

* Tue Jun 05 2012 tmb <tmb> 8.961-7.mga3.nonfree
+ Revision: 255752
- rebuild for kernel-3.4.1-1.mga3

* Sat Jun 02 2012 tmb <tmb> 8.961-6.mga3.nonfree
+ Revision: 253479
- build with fixed fglrx-8.961-5.mga3

* Mon May 28 2012 tmb <tmb> 8.961-5.mga3.nonfree
+ Revision: 248553
- rebuild with fixed fglrx-8.961-3.mga3
- rebuild for kernel-3.4.1-0.rc1.1.mga3

* Thu May 17 2012 tmb <tmb> 8.961-4.mga2.nonfree
+ Revision: 235856
- build for kernel-3.3.6-2.mga2

* Sun May 13 2012 tmb <tmb> 8.961-3.mga2.nonfree
+ Revision: 235565
- build for kernel-3.3.6-1.mga2

* Thu May 10 2012 tmb <tmb> 8.961-2.mga2.nonfree
+ Revision: 235202
- build for kernel-3.3.5-1.mga2

* Sat Apr 28 2012 tmb <tmb> 8.961-1.mga2.nonfree
+ Revision: 233917
- rebuild for fglrx-8.961 and kernel-3.3.4

* Mon Apr 23 2012 tmb <tmb> 8.951-3.mga2.nonfree
+ Revision: 232874
- rebuild for kernel-3.3.3-1.mga2

* Wed Apr 04 2012 tmb <tmb> 8.951-2.mga2.nonfree
+ Revision: 228367
- rebuild for kernel-3.3.1-2.mga2

* Tue Apr 03 2012 tmb <tmb> 8.951-1.mga2.nonfree
+ Revision: 228076
- rebuild for kernel-3.3.1-1.mga2
- rebuild for fglrx-8.851-1

* Sun Mar 25 2012 tmb <tmb> 8.950-4.mga2.nonfree
+ Revision: 226183
- rebuild for kernel-3.3.0-2.mga2

* Mon Mar 19 2012 tmb <tmb> 8.950-3.mga2.nonfree
+ Revision: 224373
- rebuild for kernel-3.3.0-1.mga2

* Sun Mar 11 2012 tmb <tmb> 8.950-2.mga2.nonfree
+ Revision: 222559
- rebuild for kernel 3.3-rc7

* Fri Mar 09 2012 fwang <fwang> 8.950-1.mga2.nonfree
+ Revision: 221878
- rebuild for new fglrx

* Mon Mar 05 2012 tmb <tmb> 8.930-3.mga2.nonfree
+ Revision: 219300
- rebuild for kernel-3.3.0-0.rc6.1.mga2

* Sat Mar 03 2012 tmb <tmb> 8.930-2.mga2.nonfree
+ Revision: 217300
- rebuild for kernel-3.2.9-2.mga2

* Thu Mar 01 2012 tmb <tmb> 8.930-1.mga2.nonfree
+ Revision: 216538
- build with fixed fglrx 8.930-2
- rebuild for fglrx 8.930-1
- rebuild for kernel-3.2.9-1.mga2

* Sat Feb 25 2012 tmb <tmb> 8.920-14.mga2.nonfree
+ Revision: 214772
- rebuild for kernel-3.2.7-1.mga2

* Thu Feb 16 2012 tmb <tmb> 8.920-13.mga2.nonfree
+ Revision: 209782
- rebuild for kernel-3.2.6-3.mga2
- compress modules with xz

* Tue Feb 14 2012 tmb <tmb> 8.920-12.mga2.nonfree
+ Revision: 208936
- rebuild for kernel-3.2.6-2.mga2

* Sun Feb 12 2012 tmb <tmb> 8.920-11.mga2.nonfree
+ Revision: 208063
- rebuild for kernel-3.2.6-0.rc1.1.mga2

* Mon Feb 06 2012 tmb <tmb> 8.920-10.mga2.nonfree
+ Revision: 205605
- rebuild for kernel-3.2.5-1.mga2

* Thu Jan 26 2012 tmb <tmb> 8.920-9.mga2.nonfree
+ Revision: 201950
- rebuild for kernel-3.2.2-1.mga2

* Fri Jan 20 2012 tmb <tmb> 8.920-8.mga2.nonfree
+ Revision: 198864
- build with kernel-3.2.1-2.mga2

* Sun Jan 15 2012 tmb <tmb> 8.920-7.mga2.nonfree
+ Revision: 196455
- kernel-xen-pvops does not exist anymore
- build against kernel-3.2.1-1.mga2

* Sun Jan 15 2012 tmb <tmb> 8.920-6.mga2.nonfree
+ Revision: 196310
- fix package name to match kernel uname -r

* Thu Jan 05 2012 tmb <tmb> 8.920-5.mga2.nonfree
+ Revision: 191563
- build with kernel-3.2.0-1.mga2

* Thu Dec 29 2011 tmb <tmb> 8.920-4.mga2.nonfree
+ Revision: 188527
- build with kernel-3.2.0-0.rc7.2.mga2

* Mon Dec 26 2011 tmb <tmb> 8.920-3.mga2.nonfree
+ Revision: 187868
- compress the prebuilt module

* Mon Dec 26 2011 tmb <tmb> 8.920-2.mga2.nonfree
+ Revision: 187661
- build with kernel-3.2.0-0.rc7.1.mga2

* Sun Dec 25 2011 tmb <tmb> 8.920-1.mga2.nonfree
+ Revision: 187629
- add dkms.conf to the rpms too
- fix build with rpm 4.9
- fix typo in desktop586 build
- imported package kmod-fglrx

